Bug 1899361 - [4.6.z] Ignition config fetch times out too early on OpenStack
Summary: [4.6.z] Ignition config fetch times out too early on OpenStack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Sohan Kunkerkar
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1899342
Blocks: 1186913 1899176
TreeView+ depends on / blocked
 
Reported: 2020-11-19 00:19 UTC by Benjamin Gilbert
Modified: 2020-12-14 13:51 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1899342
Environment:
Last Closed: 2020-12-14 13:50:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5259 0 None None None 2020-12-14 13:51:16 UTC

Description Benjamin Gilbert 2020-11-19 00:19:24 UTC
+++ This bug was initially created as a clone of Bug #1899342 +++

Ignition 2.6.0-5.rhaos4.6.git947598e.el8 times out fetching OpenStack userdata after 30 seconds, which may not be enough time for networking to come up.  This has been fixed upstream in Ignition 2.7.0 but the fixes need a backport to 4.6.x.

There are several related fixes; see https://github.com/coreos/ignition/issues/1081#issuecomment-696447611.  I think it'd be cleanest to mirror the behavior of upstream 2.7.0, which requires taking all the patches from:

- https://github.com/coreos/ignition/pull/1094
- https://github.com/coreos/ignition/pull/1095
- https://github.com/coreos/ignition/pull/1098

--- Additional comment from Benjamin Gilbert on 2020-11-18 22:41:26 UTC ---

For clarity, 4.7 has a newer version of Ignition which is unaffected.

Comment 2 Jonathan Lebon 2020-11-26 16:32:29 UTC
Fixed by https://github.com/openshift/installer/pull/4422.

Comment 4 Jonathan Lebon 2020-11-26 17:11:40 UTC
> This bug sets Target Release equal to a z-stream but has no bug in the 'Depends On' field. As such this is not a valid bug state and the target release is being unset.

I dropped the 'Depends On' because the bug does not exist in 4.7 and the bot in https://github.com/openshift/installer/pull/4422 wasn't happy with the parent bug being CLOSED (NOTABUG).
Hmm, I guess we can hack this by doing CLOSED (ERRATA) instead?

Comment 5 Micah Abbott 2020-11-30 21:29:58 UTC
The fix for this is included in `ignition-2.6.0-6.rhaos4.6.git947598e.el8` which landed as part of RHCOS 46.82.202011260640-0

Moving to MODIFIED

Comment 9 Michael Nguyen 2020-12-04 21:49:49 UTC
Sanity Check Only:
Booted RHCOS in OpenStack and checked ignition version.

[core@host-10-0-151-93 ~]$ sudo rpm-ostree status
State: idle
Deployments:
● ostree://713f7a88c06960f42d52e1fb50baf35fd7f14df9b474d94d46fd67a2a9c07494
                   Version: 46.82.202012032341-0 (2020-12-03T23:45:01Z)
[core@host-10-0-151-93 ~]$ curl http://169.254.169.254
1.0
2007-01-19
2007-03-01
2007-08-29
2007-10-10
2007-12-15
2008-02-01
2008-09-01
2009-04-04
latest[core@host-10-0-151-93 ~]$ 
[core@host-10-0-151-93 ~]$ 
[core@host-10-0-151-93 ~]$ rpm -qa ignition
ignition-2.6.0-6.rhaos4.6.git947598e.el8.x86_64

Comment 11 errata-xmlrpc 2020-12-14 13:50:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.8 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5259


Note You need to log in before you can comment on or make changes to this bug.